Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006597OCamldocumentationpublic2014-10-04 12:042017-02-06 20:00
Reportergasche 
Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.02.0 
Target Version4.03.1+devFixed in Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Summary0006597: the new quoted string literal syntax is not documented
Descriptionhttp://caml.inria.fr/pub/docs/manual-ocaml/lex.html [^]

does not mention the new string literal syntax {foo|...|foo}
Tagsjunior_job
Attached Files

- Relationships

-  Notes
(0012296)
frisch (developer)
2014-10-06 09:29

It is listed in language extensions:

http://caml.inria.fr/pub/docs/manual-ocaml/extn.html#sec244 [^]
(0012303)
gasche (developer)
2014-10-06 13:15

Indeed! I should have looked there. I sent my report after an email from Jean-Christophe FilliĆ¢tre (politely) complaining that this was undocumented.

To my knowledge this is the only language extension that affects the lexical specification of the language, and not only the grammar. One could argue that having a full view of the lexical conventions (I understand all the ways OCaml code can be lexed) is more important than having a full view of the grammar. I would be in favor of having an explicit mention of the new syntax in the "standard" part of the manual, that would point to the extension description for more details. Would you agree?
(0012304)
doligez (administrator)
2014-10-06 15:17

> To my knowledge this is the only language extension that affects the lexical specification of the language, and not only the grammar.

Not true: integer literals for types int32, int64 and nativeint are in the same boat.

On the other hand, the fact that "assert", "lazy", "private", ":=", ".." are keywords is recorded in the "lexical conventions" chapter, while they are only used in extensions.

What I would like to see is a "see also" footnote (or something equivalent) on each nonterminal (lexical or syntactic) that is modified by a language extension.
(0017232)
octachron (developer)
2017-02-05 21:07

See https://github.com/ocaml/ocaml/pull/1030 [^] for an implementation of the "footnote or equivalent" idea.
(0017234)
xleroy (administrator)
2017-02-06 20:00

Fixed by merge of GPR#1030.

- Issue History
Date Modified Username Field Change
2014-10-04 12:04 gasche New Issue
2014-10-06 09:29 frisch Note Added: 0012296
2014-10-06 13:15 gasche Note Added: 0012303
2014-10-06 15:17 doligez Note Added: 0012304
2014-10-06 15:17 doligez Target Version 4.02.1+dev => 4.02.2+dev / +rc1
2014-10-06 15:17 doligez Status new => acknowledged
2015-01-16 17:20 doligez Target Version 4.02.2+dev / +rc1 => 4.03.0+dev / +beta1
2016-04-12 14:52 doligez Target Version 4.03.0+dev / +beta1 => 4.03.1+dev
2016-04-12 14:52 doligez Tag Attached: junior_job
2017-02-05 21:07 octachron Note Added: 0017232
2017-02-06 20:00 xleroy Note Added: 0017234
2017-02-06 20:00 xleroy Status acknowledged => resolved
2017-02-06 20:00 xleroy Resolution open => fixed
2017-02-06 20:00 xleroy Fixed in Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2017-02-23 16:35 doligez Category OCaml documentation => Documentation
2017-02-23 16:44 doligez Category Documentation => documentation


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker